Topic: converting theme

i have a theme that ive had for a really long time, literally the only reason i was  using ls was to mod this theme, it runs fine on my 32bit computer, but i just bought a win10 laptop 64 bit. is there anyone that is willing to convert it for me? ill give you the files. everytime i try to load ls it crashes and my theme doesnt load cause it needs 32bit modules. can anyone help me or point me in the right direction. or a way to install 32bit ls on my laptop, so i can run all the same modules i had before i had a lot of work using 32bit.


Re: converting theme

To make one part simpler, you can use 32bit LS on a 64bit Windows.

Looking at the theme, it seems to already be converted to use nModules, which're designed to work nicely with Vista or newer, and there are 64bit versions of all of them.

If I've understood what's going right, you might be able to sort it out yourself by editing your step.rc in LS root folder.

Grab the 64bit NetLoadModule, chuck it into the Litestep\NLM folder, overwriting the old one.

Then change the *NetLoadModuleSite lines to include these urls instead:

You'll probably need to delete all the existing 32bit dll files from the module folder first.

Or alternatively you can just download the necessary files manually from either of those and extract them to your modules folder.


Re: converting theme

yeah i currently installed the 32 bit version on my laptop but its not running correctly. do you have a guide here to install 32bit correctly? and as for the theme it actually isnt ported. i literally just added the module lines. as for all the rest of the code in it i dont know if i have to change any of that. id rather not have to if i can get the 32 bit working right


Re: converting theme

Yup, got a guide right there: http://ls.greywool.com/install/#vista32

Though, the LS core and other things are tested and built for up to 8.1, there're no guarantees of how it'll work with Win10.

Ah, I just had a quick look at the theme.rc, I'll have a looksee when I have time, if being able to convert is within my abilities. Can't promise any kind of time frame, though.


Re: converting theme

honestly no worries man, what ever you change and if you can get it to run on 64 bit ill be extremely grateful, itll also teach me how to do it myself after seeing what you've changed thanks again glad to see this awesome program isnt dead


Re: converting theme

also do you have a method to get a workspace working on windows 10, i dont think jdesk will give me empty space on the bottom i tried 0,0,0,-97 but it didnt work so let me know if i should use a different method


Re: converting theme

nDesk should work, just add in

*nDeskWorkArea 0 0 0 0 97

The first 0 stands for primary monitor, then how many pixels away from each edge.


Re: converting theme

i tried it and now i get an error using 0.6 version of both ncore & ndesk, something about them not linking, idk if im missing a redistrutable in order to use them, im using the 32bit version, i got it working on my system, the 0.1 versions load but they dont use the workspace correctly.


Re: converting theme

the procedure entry point loadlsimagew could not be located in the dynamic link library, c:\litestep\modules\ncore-0.6.dll thats the error

10 (edited by Greywool 2016-07-06 23:17:04 pm)

Re: converting theme

In case it's the redists, I've linked the necessary ones near the top: http://ls.greywool.com/install/

You will need the 32bit ones if you use 32bit LS, 64bit ones for 64bit LS

Edit: Which LS core are you using? 0.24.8 or the newest experimental build?


Re: converting theme

Nobody know any longer what was happening in such an old version of the mod.
Please update both LS and nModules, and try again.


Re: converting theme

the experimental build made my laptop crash i was using, 0.24.8 since it gave me 0 errors, literally the only time it ran right without the experimental build which im surprised.


Re: converting theme

Can't be true. LS does not install any system drivers, it just can't crash your OS, if it works right.
If your system crashes left and right, fix your system, then try again.

14 (edited by highrup 2016-07-07 00:04:21 am)

Re: converting theme

im referring to running it as the only shell. anyway, stirring away from the topic there, since litestep runs completely fine everything works except the workspace, thats why im trying to get ndesk & ncore to run right with the theme i have. i have installed all the redists from the page you linked already, and i still have the error, it doesnt crash ls this time but it still says im missing a redists even tho i have all of those installed already. any ideas?

isnt there one i need for the nmodules to work that came after 2013? i remember seeing it on devart a while back but i couldnt find the page anymore


Re: converting theme

For nModules you WILL need the newest experimental build. The crashing with it you saw was probably a theme trying to load xModules, which don't work in the newest EBs.

Try to up it to the newest again and try with this theme: http://ls.greywool.com/themes/jPub2.lsz


Re: converting theme

after i install the latest, it just tells me the netloadmodule wont load due to missing runtime, which i know i do have since it will run without the latest experimental build.